package org.squarebrackets;

/**
 * Interface for array modification.
 */
public interface ArrayAction<T> {

    /**
     * Executes this action and returns a result object, or {@code null} at discretion of the action.
     *
     * @param context provides access to array characteristics.
     * @return result of the action.
     */
    T run(ArrayContext context);
}
